/* 32Soft - 32Printer compatible version      11/22/2013                      */
/* bmwurpa1.i - WHERE-USED REPORT (INCLUDE FILE)                              */
/* Copyright 1986-2004 QAD Inc., Carpinteria, CA, USA.                        */
/* All rights reserved worldwide.  This is an unpublished work.               */
/* $Revision: 1.12 $                                                          */
/*V8:ConvertMode=Report                                                       */
/* REVISION: 7.2      LAST MODIFIED: 11/02/92   BY: pma *G265*                */
/* REVISION: 7.3      LAST MODIFIED: 06/06/96   BY: jym *G1XL*                */
/* REVISION: 7.3      LAST MODIFIED: 07/10/96   BY: *G1ZQ*  Russ Witt         */
/* REVISION: 8.6E     LAST MODIFIED: 02/23/98   BY: *L007* A. Rahane          */
/* REVISION: 8.6E     LAST MODIFIED: 10/04/98   BY: *J314* Alfred Tan         */
/* REVISION: 8.6E     LAST MODIFIED: 08/03/99   BY: *J3J4* Jyoti Thatte       */
/* REVISION: 9.1      LAST MODIFIED: 03/24/00   BY: *N08T* Annasaheb Rahane   */
/* REVISION: 9.1      LAST MODIFIED: 08/11/00   BY: *N0KK* jyn                */
/* Old ECO marker removed, but no ECO header exists *F0PN*                    */
/* Revision: 1.10  BY: Jean Miller DATE: 05/25/02 ECO: *P076* */
/* $Revision: 1.12 $ BY: Paul Donnelly (SB) DATE: 06/26/03 ECO: *Q00B* */
/*-Revision end---------------------------------------------------------------*/

/******************************************************************************/
/* All patch markers and commented out code have been removed from the source */
/* code below. For all future modifications to this file, any code which is   */
/* no longer required should be deleted and no in-line patch markers should   */
/* be added.  The ECO marker should only be included in the Revision History. */
/******************************************************************************/

do with frame {&frame}:

   /* SET EXTERNAL LABELS */

   setFrameLabels(frame {&frame}:handle).

   if {&down} = "" then down 1 with frame {&frame}.

   display
/*AF01*/{&cmp1}
/*AF01*/{&compdesc1}
      {&level}
      {&comp}
/*AF01*/{&pardesc1}
      {&ref}
      {&desc1}
      {&qtyper}
      {&um}
      {&phantom}
      {&pscode}
      {&isspol}
      {&start}
      {&end}
      {&scrap}
      {&offset}
   with frame {&frame}.

   if transtype = "FM" then do with frame fm:
      /* SET EXTERNAL LABELS */
      setFrameLabels(frame fm:handle).
      display
         {&qtytype}
         {&batch}.
   end.

   if available bom_mstr and
      not(can-find (first pt_mstr  where pt_mstr.pt_domain = global_domain and
      pt_part = bom_parent))
   then
      display "BOM" @ phantom with frame {&frame}.

   if transtype = "FM" then do with frame fm:
/*AF01      if {&line1} <> "" then do:
         down 1.
         display {&line1} @ ps_par.
      end.
      if {&line2} <> "" then do:
         down 1.
         display {&line2} @ ps_par.
      end.
*/
   end.

   if transtype = "BM" then do with frame bm:

      /* SET EXTERNAL LABELS */
      setFrameLabels(frame bm:handle).

      if {&line2} <> "" then do:
         down 1.
         display {&line2} @ desc1.
      end.

   end.

   down 1.

end.
